> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/inquirypriceinstancebandwidth.md).

# InquiryPriceInstanceBandwidth

## 1. API Description

This API (InquiryPriceInstanceBandwidth) is used to query the price of modified instance bandwidth.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Use this API only when</mark> [<mark style="color:purple;">`internetChargeType`</mark>](/api-reference/compute/vm/datastructure.md#internetchargetype) <mark style="color:blue;">is</mark> <mark style="color:blue;">`ByBandwidth`</mark><mark style="color:blue;">.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name          | Required | Type    | Description                                                                                                                      |
| ----------------------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------- |
| instanceId              | Yes      | String  | <p>Instance ID(s).</p><p>To obtain the instance IDs, you can call DescribeInstances and look for instanceId in the response.</p> |
| internetMaxBandwidthOut | Yes      | Integer | <p>Egress bandwidth size.</p><p>Value range: \[1, +)</p>                                                                         |

## 3. Output Parameters

| Parameter Name | Type                                                                       | Description                                                                                                           |
| -------------- | -------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                     | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| bandwidthPrice | Array of [PriceItem](/api-reference/compute/vm/datastructure.md#priceitem) | Public bandwidth price.                                                                                               |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the price of modified instance bandwidth.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceInstanceBandwidth
<Common Request Params>

Request：
{
  "instanceId": "instanceId",
  "internetMaxBandwidthOut": 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "bandwidthPrice": {
        "discount": 100.0,
        "discountPrice": null,
        "originalPrice": null,
        "unitPrice": 1.32,
        "discountUnitPrice": 1.32,
        "chargeUnit": "HOUR",
        "stepPrices": null
     }
  }
} 
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                              | Description                                                                                                                                                  |
| ---------------- | ------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                           | Instance does not exist.                                                                                                                                     |
| 403              | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | Only operations on instance whose [`internetChargeType`](/api-reference/compute/vm/datastructure.md#internetchargetype) is `ByTrafficPackage` are supported. |
| 400              | INVALID\_INSTANCE\_TYPE\_ZONE\_NO\_SELL                 | Instance model not available in the zone.                                                                                                                    |
